@import url('./blocks/products-list.css');

.h2 {
  /*   font-weight: 500;
  font-size: 24px;
  line-height: 1.27273; */
  color: #000;
  margin-bottom: 2rem;
  position: relative;
}

.h2::after {
  content: '';
  width: 50px;
  height: 4px;
  background-color: var(--color-primary);
  border-radius: 100vw;
  position: absolute;
  bottom: -12px;
  left: 0;
}

.h3 {
  font-weight: 400;
  font-size: 20px;
  line-height: 1.27273;
  color: #000;
  margin-bottom: 2rem;
  position: relative;
}

.h3::after {
  content: '';
  width: 45px;
  height: 3px;
  background-color: var(--color-primary);
  border-radius: 100vw;
  position: absolute;
  bottom: -9px;
  left: 0;
}

.pict_zoom {
  height: 400px;
  border: 1px solid #d7d7d7;
  border-radius: 4px;
  position: relative;
}

.pict_zoom a,
.pict_zoom > div {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.pict_zoom img {
  width: auto;
  height: auto;
  max-height: 100%;
  object-fit: contain;
}

.swiper-nav {
  width: 36px;
  height: 36px;
  background-color: #ffffff;
  border: none;
  border-radius: 100vw;
  box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1);
  opacity: 0.1;
  transition: opacity 0.25s ease;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 2;
}

.swiper-prev {
  left: 8px;
}

.swiper-next {
  right: 8px;
}

.pict_zoom:hover .swiper-nav {
  opacity: 1;
}

.nav-slider {
  margin-top: 12px;
}

.nav-slider .swiper-slide {
  width: 108px;
  height: 94px;
  padding: 5px;
  border: 2px solid #d7d7d7;
  border-radius: 4px;
  display: flex;
  overflow: hidden;
  transition: border-color 0.25s ease;
}

.nav-slider .swiper-slide a {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.nav-slider .swiper-slide img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

.nav-slider .swiper-slide.active {
  border-color: var(--color-primary);
}

.nav-slider .swiper-bullet {
  width: 8px;
  height: 8px;
  background-color: #adadad;
  border-radius: 100vw;
  transition: width 0.25s ease;
  cursor: pointer;
}

.nav-slider .swiper-bullet.active {
  width: 24px;
  background-color: var(--color-primary);
}

.vendor-badge {
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.01em;
  text-align: center;
  color: #8dc63f;
  width: fit-content;
  padding: 3px 12px;
  margin-bottom: 16px;
  background-color: #e9f2db;
  border-radius: 4px;
}

.product__title {
  font-weight: 500;
  font-size: 24px;
  line-height: 1.27273;
  color: #000000;
}

.sku {
  font-weight: 400;
  font-size: 16px;
  line-height: 1.4;
  color: var(--color-text-gray);
}

.specs__caption {
  font-weight: 500;
  font-size: 20px;
  line-height: 1.27273;
  color: #000;
}

.specs dl {
  overflow: clip;
}

.specs dl > div:nth-child(2n + 1) {
  background-color: rgb(from var(--color-primary) r g b / 0.05);
}

.specs dt,
.specs dd {
  font-weight: 300;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.01em;
  color: #000;
}

@media (max-width: 767.98px) {
  .product__summary-specs {
    display: none;
  }
}

.long-desc {
  --line-height: 1.4em;
  --lines: 4;
  font-weight: 500;
  font-size: 14px;
  line-height: var(--line-height);
  letter-spacing: 0.01em;
  background-color: #ffffff;
}

.long-desc .desc {
  color: var(--color-text-gray);
  max-height: calc(var(--line-height) * var(--lines));
  transition: max-height 0.5s ease-in-out;
  position: relative;
  overflow: hidden;
}

.long-desc .desc:after {
  content: '';
  position: absolute;
  inset: 0;
  background: linear-gradient(to top, #ffffff 0%, transparent 40px) no-repeat bottom;
}

.long-desc.no-overflow .desc {
  max-height: none;
  overflow: visible;
}
.long-desc.no-overflow .desc:after {
  content: none;
}
.long-desc.no-overflow .js_show_long_desc {
  display: none;
}

.long-desc.expanded .desc {
  max-height: 100vh;
}
.long-desc.expanded .desc:after {
  content: none;
}

.price-block {
  font-weight: 400;
  font-size: 16px;
  line-height: 1.4;
}

.price-block__text {
  color: #a7a7a7;
}

.price-block__price {
  font-weight: 500;
  font-size: 22px;
  line-height: 1.27273;
  color: #000;
}

.price-block__check {
  color: #3fa24b;
}

.price-block__note {
  font-weight: 400;
  font-size: 14px;
  line-height: 1.42857;
  letter-spacing: 0.01em;
  color: #a7a7a7;
}

.qty__label {
  font-weight: 500;
  font-size: 16px;
  line-height: 1.4;
  text-transform: uppercase;
  color: #1a1a1a;
}

.price-block__benefits {
  font-weight: 400;
  font-size: 14px;
  line-height: 1.42857;
  letter-spacing: 0.01em;
  color: #000;
}
